Debian Bug report logs - #170973
mawk 1.3.3 grammar rejected by Bison 1.75 due to missing semicolons

version graph

Package: mawk; Maintainer for mawk is Steve Langasek <vorlon@debian.org>; Source for mawk is src:mawk.

Reported by: "Paul Eggert" <eggert@twinsun.com>

Date: Wed, 27 Nov 2002 18:48:02 UTC

Severity: normal

Tags: patch

Found in version 1.3.3-9

Fixed in version mawk/1.3.3-10

Done: James Troup <james@nocrew.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, James Troup <james@nocrew.org>, mawk@packages.qa.debian.org:
Bug#170973; Package mawk. Full text and rfc822 format available.

Acknowledgement sent to "Paul Eggert" <eggert@twinsun.com>:
New Bug report received and forwarded. Copy sent to James Troup <james@nocrew.org>, mawk@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Paul Eggert" <eggert@twinsun.com>
To: brennan@whidbey.com
Cc: submit@bugs.debian.org
Subject: mawk 1.3.3 grammar rejected by Bison 1.75 due to missing semicolons
Date: Wed, 27 Nov 2002 10:19:46 -0800
Package: mawk
Version: 1.3.3-9

The parse.y grammar in mawk 1.3.3 (Debian versoin 1.3.3-9) is missing
some semicolons.  This violates the POSIX rules for Yacc grammars, and
recent versions of Bison are pickier and reject the grammar.  Here is
a patch.

2002-11-27  Paul Eggert  <eggert@twinsun.com>

	* parse.y: Put a semicolon after every grammar rule, as POSIX
	requires.  Bison 1.75 requires this.

--- parse.y	1995/06/11 22:55:31	1.3.3.0
+++ parse.y	2002/11/27 18:06:26
@@ -274,6 +274,7 @@ block_or_separator  :  block
                        code1(_PUSHINT) ; code1(0) ;
                        code2(_PRINT, bi_print) ;
                      }
+	;
 
 statement_list :  statement
         |  statement_list   statement
@@ -482,6 +483,7 @@ builtin :
 /* an empty production to store the code_ptr */
 mark : /* empty */
          { $$ = code_offset ; }
+	;
 
 /* print_statement */
 statement :  print mark pr_args pr_direction separator
@@ -540,6 +542,7 @@ statement :  if_front statement else sta
                 { patch_jmp(code_ptr) ; 
 		  patch_jmp(CDP($4)) ; 
 		}
+	;
 
 
 /*  LOOPS   */
@@ -883,7 +886,7 @@ re_arg   :   expr
                  } 
                }
              }
-                
+	;                
 
 
 /* exit_statement */
@@ -892,12 +895,14 @@ statement      :  EXIT   separator
                       code1(_EXIT0) ; }
                |  EXIT   expr  separator
                     { $$ = $2 ; code1(_EXIT) ; }
+	;
 
 return_statement :  RETURN   separator
                     { $$ = code_offset ;
                       code1(_RET0) ; }
                |  RETURN   expr  separator
                     { $$ = $2 ; code1(_RET) ; }
+	;
 
 /* getline */
 
@@ -931,7 +936,7 @@ p_expr :  getline      %prec  GETLINE
           }
        ;
 
-getline :   GETLINE  { getline_flag = 1 ; }
+getline :   GETLINE  { getline_flag = 1 ; } ;
 
 fvalue  :   lvalue  |  field  ;
 



Tags added: patch Request was from "H. S. Teoh" <hsteoh@quickfur.ath.cx> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to James Troup <james@nocrew.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Paul Eggert" <eggert@twinsun.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #12 received at 170973-close@bugs.debian.org (full text, mbox):

From: James Troup <james@nocrew.org>
To: 170973-close@bugs.debian.org
Subject: Bug#170973: fixed in mawk 1.3.3-10
Date: Thu, 24 Apr 2003 22:17:27 -0400
We believe that the bug you reported is fixed in the latest version of
mawk, which is due to be installed in the Debian FTP archive:

mawk_1.3.3-10.diff.gz
  to pool/main/m/mawk/mawk_1.3.3-10.diff.gz
mawk_1.3.3-10.dsc
  to pool/main/m/mawk/mawk_1.3.3-10.dsc
mawk_1.3.3-10_i386.deb
  to pool/main/m/mawk/mawk_1.3.3-10_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 170973@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
James Troup <james@nocrew.org> (supplier of updated mawk package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 10 Apr 2003 02:22:27 +0100
Source: mawk
Binary: mawk
Architecture: source i386
Version: 1.3.3-10
Distribution: unstable
Urgency: low
Maintainer: James Troup <james@nocrew.org>
Changed-By: James Troup <james@nocrew.org>
Description: 
 mawk       - a pattern scanning and text processing language
Closes: 51875 170973
Changes: 
 mawk (1.3.3-10) unstable; urgency=low
 .
   * Move to dpatch; existing non-debian/ changes split into
     01_error-on-full-fs, 02_fix-examples, 03_read-and-close-redefinition,
     04_mawk.1-fix-pi and 05_-Wall-fixes.
   * debian/rules: include /usr/share/dpatch/dpatch.make.
   * debian/rules (build): depend on patch-stamp.
   * debian/rules (clean): depend on unpatch.  Remove debian/patched.
   * debian/control (Build-Depends): add dpatch.
 .
   * debian/rules: update copyright and use install_foo convenience
     variables.
   * debian/copyright: update copyright.
 .
   * debian/control (Standards-Version): bump to 3.5.9.0.
   * debian/postinst, debian/prerm: no longer do /usr/doc symlinks.
 .
   * debian/prerm: use set -e rather than #!/bin/sh -e.
 .
   * 06_parse.y-semicolons.dpatch: new patch to fix missing semi-colons
     that upset recent versions of bison.  Thanks to Paul Eggert
     <eggert@twinsun.com>.  Closes: #170973
   * debian/control (Build-Depends): add bison.
   * debian/rules (clean): remove parse.c and parse.h so they're not
     included in the .diff.gz.
 .
   * 07_mawktest-check-devfull: new patch to conditionalize the write error
     tests on the existence of /dev/full since apparently some systems
     don't have it.  Requested by Marcus.Brinkmann@ruhr-uni-bochum.de.
     Closes: #51875
 .
   * debian/postinst: demote mawk to priority 5 so that gawk will be
     selected by default.  [mawk isn't being actively maintained upstream
     and has both long-standing bugs and isn't feature-complete WRT POSIX
     at least.]
Files: 
 272871e95d66ca927bc6ecddfe87115a 552 base required mawk_1.3.3-10.dsc
 c9d7508ed9e54c94b88c67cb796d3d4c 16069 base required mawk_1.3.3-10.diff.gz
 022631116a2f49e803d2f587672e91f7 76912 base required mawk_1.3.3-10_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.6 (GNU/Linux)

iEYEARECAAYFAj6Ux2UACgkQgD/uEicUG7CgyQCgh51G3NbXW29jr3ucv7+150bY
t1AAoIKPP6IKSbNWZvpsxoPV61EeIz3Q
=C87/
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 02:35:58 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.